//
//  BFMobileQuickPayH5SDK.h
//  QuickPay
//
//  Created by 宝付 on 2022/7/25.
//  Copyright © 2022 erhu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
NS_ASSUME_NONNULL_BEGIN

@interface BFMobileQuickPayH5SDK : NSObject

#pragma mark - SDK 函数接口
/**
 *  SDK单例
 */
+(BFMobileQuickPayH5SDK*)shared;
/**
 *  打开收银台 url下单地址
 */
-(void)startFunctionWithUrl:(NSString *)url;


#pragma mark - SDK 基本参数（只读）
/**
 * SDK版本号
 */
@property (nonatomic,copy,readonly) NSString *bfSDKVersion;

#pragma mark - SDK 打开必传配置参数 （必传）

/**
 * 来自controller，用来做push或present
 */
@property (nonatomic,weak) UIViewController *fromController;

#pragma mark - SDK 通用自定义静态参数列表（可选）
/**
 *  返回按钮图片
 */
@property (nonatomic,strong) UIImage *backImage;

/**
 *  根据图片大小设置navBarButtonItem，默认为NO
 */
@property (nonatomic,assign) BOOL barButtonItemDisplayWithImageSize;
/**
 * 打开SDK效果，是否使用Push（PUSH方式需要fromController包含navigationController）
 * 默认为YES
 */
@property (nonatomic,assign) BOOL useNavigationPush;

@end

NS_ASSUME_NONNULL_END
